# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_11 )

DISABLE_AUTOFORMATTING=true

inherit desktop python-single-r1

DESCRIPTION="Downloads commodity market and other station data from the game Elite: Dangerous for use with all popular online and offline trading tools"
HOMEPAGE="https://github.com/EDCD/EDMarketConnector"
SRC_URI="https://github.com/EDCD/${PN}/archive/refs/tags/Release/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

DEPEND="
	dev-python/certifi
	dev-python/requests
	dev-python/watchdog
	dev-python/semantic_version
	dev-lang/python[tk]
"
# 	dev-python/constants
RDEPEND="${PYTHON_DEPS} ${DEPEND}"

src_unpack() {
	unpack ../distdir/${PN}-${PV}.tar.gz
	mv ${PN}-Release-${PV} ${PN}-${PV}
}

src_install() {
	mkdir constants
	mv constants.py constants/__init__.py
	python_newscript EDMarketConnector.py EDMarketConnector # yes?
	# python_domodule EDMarketConnector.py EDMarketConnector # no
	# doins -r # no

	# make_desktop_entry ${PN} ${PN} ${PN} System
	make_desktop_entry ${PN} ${PN} ${PN}.png System
}
